=== debian/changelog ===
belenios (1.4+dfsg-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2017 06:56:00 +0200

belenios (1.4+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #859723)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Apr 2017 14:06:07 +0200
