=== debian/control ===
Source: belenios
Priority: optional
Section: misc
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-ocaml,
 ocaml-findlib,
 ocamlbuild,
 libzarith-ocaml-dev,
 libcalendar-ocaml-dev,
 libuuidm-ocaml-dev,
 libcryptokit-ocaml-dev,
 libatdgen-ocaml-dev,
 libyojson-ocaml-dev,
 libcmdliner-ocaml-dev,
 ocaml-nox,
 markdown,
 texlive-latex-extra,
 texlive-fonts-recommended,
 texlive-fonts-extra,
 lmodern,
 uuid-runtime
Standards-Version: 3.9.8
Homepage: https://www.belenios.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/belenios.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/belenios.git

Package: belenios-tool
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: verifiable voting system (command-line tool)
 Belenios aims at providing an easy to use voting system, guaranteeing
 state-of-the-art security, namely vote privacy and verifiability. It
 can be used in many types of elections, ranging from scientific
 councils to sport associations.
 .
 It consists of a command-line tool and a web server. Both use the
 same backend and can be used to organize elections and perform
 verifications.
 .
 Security properties of the system are:
  * Vote privacy: No one can learn the vote of a voter. Vote privacy
    relies on the encryption of the votes.
  * End-to-end verifiablity: Every voter can check that her vote has
    been counted and only eligible voters may vote. End-to-end
    verifiablity relies on the fact that the ballot box is public
    (voters can check that their ballots have been received) and on
    the fact that the tally is publicly verifiable (anyone can recount
    the votes). Moreover, ballots are signed by the voter credential
    (only eligible voters are able to vote).
 .
 This package provides the command-line tool, which is the most
 convenient way to exercise the verifiability capabilities of the
 system. It can be used to run an election without using the web
 server, and to monitor an election running on a web server.
