=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) minimal
	$(MAKE) doc
	_build/belenios-tool --help=groff > debian/belenios-tool.1

.PHONY: override_dh_auto_test
override_dh_auto_test:
	demo/demo.sh
