=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
https://gforge.inria.fr/frs/?group_id=5428 .*/belenios-(.+)\.tar\.gz
