## belenios 1.6+dfsg

=== debian/changelog ===
belenios (1.6+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Fix compilation with OCaml 4.05.0 (Closes: #878980)
  * Update Vcs-* to point to salsa
  * Set pristine-tar filter in debian/gbp.conf
  * Bump Standards-Version to 4.1.4
  * Fix Homepage URL

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Jun 2018 15:36:06 +0200
