## belenios 1.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,21 @@
+ALL_TARGETS := all.otarget
+ALL_TARGETS += $(if $(shell sh -c "command -v ocamlopt"),all-native.otarget)
+
 minimal:
+	rm -f _build/BUILD
 	ocamlbuild minimal.otarget
 
 all:
-	ocamlbuild all.otarget
+	rm -f _build/BUILD
+	ocamlbuild $(ALL_TARGETS)
 
-check: all
+check: minimal
 	demo/demo.sh
+	demo/demo-threshold.sh
 
 clean:
-	ocamlbuild -clean
+	-ocamlbuild -clean
+	rm -rf _build
 	rm -f *~
 
 tree: _build/tree.html
