=== debian/changelog ===
belenios (1.8+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 Feb 2019 11:43:56 +0100

belenios (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Jan 2019 11:32:35 +0100
