=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
  texlive-fonts-extra,
  lmodern,
  uuid-runtime
-Standards-Version: 3.9.8
-Homepage: https://www.belenios.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/belenios.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/belenios.git
+Standards-Version: 4.1.4
+Homepage: http://www.belenios.org/
+Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
+Vcs-Git: https://salsa.debian.org/ocaml-team/belenios.git
 
 Package: belenios-tool
 Architecture: any
