=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,13 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	$(MAKE) minimal
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) doc
+endif
 	_build/belenios-tool --help=groff > debian/belenios-tool.1
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	demo/demo.sh
+endif
