=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=next" https://gforge.inria.fr/frs/?group_id=5428 .*/belenios-(.+)\.tar\.gz
opts="dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=previous" https://gforge.inria.fr/frs/?group_id=5428 .*/belenios-(.+)\.tar\.gz\.asc
