## belenios 1.9+dfsg

=== debian/changelog ===
belenios (1.9+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2019 11:11:21 +0200
