=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  dh-ocaml,
  ocaml-findlib,
  ocamlbuild,
@@ -22,7 +22,7 @@
  texlive-fonts-extra,
  lmodern,
  uuid-runtime
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: http://www.belenios.org/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
 Vcs-Git: https://salsa.debian.org/ocaml-team/belenios.git
