## belenios 1.10+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 check: minimal
 	demo/demo.sh
 	demo/demo-threshold.sh
+	demo/demo-nh.sh
 
 clean:
 	-ocamlbuild -clean
