=== requirements.txt ===
# Tools for automated tests
selenium==3.14.0
