=== debian/changelog ===
belenios (1.10+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove debian/compat and build-depend on debhelper-compat
  * Bump Standards-Version to 4.4.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Dec 2019 12:57:49 +0100
