=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-ocaml,
  ocaml-findlib,
  ocamlbuild,
@@ -20,9 +20,10 @@
  texlive-latex-extra,
  texlive-fonts-recommended,
  texlive-fonts-extra,
+ texlive-science,
  lmodern,
  uuid-runtime
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://www.belenios.org/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
 Vcs-Git: https://salsa.debian.org/ocaml-team/belenios.git
