=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,5 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	demo/demo.sh
+	demo/demo-threshold.sh
 endif
