## belenios 1.11~dfsg

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	ocamlbuild $(ALL_TARGETS)
 
 check: minimal
+	mkdir -p demo/data
 	demo/demo.sh
 	demo/demo-threshold.sh
 	demo/demo-nh.sh
@@ -37,10 +38,9 @@
 	@if [ `git status --porcelain | grep -v '^?? ' | wc -l ` -eq 0 ]; then \
 	  COMMIT_ID=`git describe --tags`; \
 	  VERSION=`cat VERSION`; \
+	  mkdir -p _build/src/static; \
 	  if [ "$$(printf $$COMMIT_ID | head -c$$(printf $$VERSION | wc -c))" = "$$VERSION" ]; then \
-	    git archive --prefix=belenios-$$COMMIT_ID/ $$COMMIT_ID | gzip -9n > ../belenios-$$COMMIT_ID.tar.gz; \
-	    ln -sf belenios-$$COMMIT_ID.tar.gz ../belenios.tar.gz; \
-	    ls -l ../belenios.tar.gz; \
+	    git archive --prefix=belenios-$$COMMIT_ID/ $$COMMIT_ID | gzip -9n > _build/src/static/belenios.tar.gz; \
 	  else \
 	    echo "VERSION is not up-to-date!"; exit 1; \
 	  fi; \
