=== debian/changelog ===
belenios (1.11~dfsg-2) unstable; urgency=medium

  * Include ocamlvars.mk, to avoid FTBFS in dh_dwz
  * Use ~dfsg suffix in debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Aug 2020 18:01:17 +0200

belenios (1.11~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 08 Jun 2020 10:40:20 +0200
