=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-ocaml,
  ocaml-findlib,
  ocamlbuild,
@@ -23,7 +23,8 @@
  texlive-science,
  lmodern,
  uuid-runtime
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.belenios.org/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
 Vcs-Git: https://salsa.debian.org/ocaml-team/belenios.git
