=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) minimal
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) doc
endif
	_build/belenios-tool --help=groff > debian/belenios-tool.1

override_dh_auto_test:
	mkdir -p demo/data
	demo/demo.sh
	demo/demo-threshold.sh
	demo/demo-nh.sh
