=== tests/tool/Makefile ===
all:

check:
	mkdir -p data
	./demo.sh
	./demo-threshold.sh
	./demo-nh.sh
	./demo-mj.sh
	./demo-stv.sh

clean:
	rm -rf data
