=== debian/changelog ===
belenios (1.14+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Feb 2021 09:53:45 +0100

belenios (1.13+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Feb 2021 10:47:52 +0100
