=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml,
- ocaml-findlib,
- ocamlbuild,
+ ocaml-dune,
  libzarith-ocaml-dev,
  libcalendar-ocaml-dev,
  libuuidm-ocaml-dev,
@@ -21,9 +20,8 @@
  texlive-fonts-recommended,
  texlive-fonts-extra,
  texlive-science,
- lmodern,
- uuid-runtime
-Standards-Version: 4.5.0
+ lmodern
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.belenios.org/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
