## belenios 1.17+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,38 @@
 DUNE_DEBUG_ARGS := --build-dir=_build-debug
 
 minimal:
-	dune build -p belenios-platform,belenios-platform-native,belenios,belenios-tool
+	dune build -p belenios-platform,belenios-platform-native,belenios-lib,belenios-tool
 
 build-debug-server:
 	BELENIOS_DEBUG=1 dune build $(DUNE_DEBUG_ARGS)
+	BELENIOS_DEBUG=1 dune exec $(DUNE_DEBUG_ARGS) -- \
+	  src/checki18next/checki18next.exe --dir frontend/translations \
+	  < src/checki18next/reference.json
 	rm -rf _run/usr
 	dune install $(DUNE_DEBUG_ARGS) --destdir=_run --prefix=/usr 2>/dev/null
+	BELENIOS_DEBUG=1 $(MAKE) DESTDIR=../_run/usr/share/belenios-server/frontend -C frontend
 	git archive --prefix=belenios-debug/ HEAD | gzip -9n > _run/usr/share/belenios-server/belenios.tar.gz
 
 build-release-server:
 	$(MAKE) clean
 	BELENIOS_DEBUG= dune build --release
+	BELENIOS_DEBUG= dune exec $(DUNE_DEBUG_ARGS) -- \
+	  src/checki18next/checki18next.exe --dir frontend/translations \
+	  < src/checki18next/reference.json
 	rm -rf _run/usr
 	dune install --destdir=_run --prefix=/usr 2>/dev/null
+	BELENIOS_DEBUG= $(MAKE) DESTDIR=../_run/usr/share/belenios-server/frontend -C frontend
 	git archive --prefix="belenios-$(shell git describe --tags)/" HEAD | gzip -9n > _run/usr/share/belenios-server/belenios.tar.gz
 
+build-i18next-reference:
+	BELENIOS_DEBUG=1 dune exec $(DUNE_DEBUG_ARGS) -- \
+	  src/checki18next/checki18next.exe --dir frontend/translations --make-reference \
+	  < frontend/translations/en.json > src/checki18next/reference.json
+
 build-debug-tool:
-	BELENIOS_DEBUG=1 dune build $(DUNE_DEBUG_ARGS) -p belenios-platform,belenios-platform-native,belenios,belenios-tool
+	BELENIOS_DEBUG=1 dune build $(DUNE_DEBUG_ARGS) -p belenios-platform,belenios-platform-native,belenios-lib,belenios-tool
 	rm -rf _run/tool-debug
-	dune install $(DUNE_DEBUG_ARGS) --destdir=_run/tool-debug --prefix=/ belenios-platform belenios-platform-native belenios belenios-tool 2>/dev/null
+	dune install $(DUNE_DEBUG_ARGS) --destdir=_run/tool-debug --prefix=/ belenios-platform belenios-platform-native belenios-lib belenios-tool 2>/dev/null
 
 check:
 	$(MAKE) build-debug-tool
