=== debian/changelog ===
belenios (1.17+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 Sep 2021 10:27:06 +0200
