=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  texlive-fonts-extra,
  texlive-science,
  lmodern
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.belenios.org/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
