## belenios 1.19+dfsg

=== debian/changelog ===
belenios (1.19+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Aug 2022 10:41:19 +0200
