=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libcryptokit-ocaml-dev,
  libatdgen-ocaml-dev,
  libyojson-ocaml-dev,
- libcmdliner-ocaml-dev,
+ libcmdliner-ocaml-dev (>= 1.1),
  ocaml-nox,
  markdown,
  texlive-latex-extra,
