## belenios 1.20+dfsg

=== debian/changelog ===
belenios (1.20+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Oct 2022 10:37:30 +0200
