## belenios 2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
+BELENIOS_BUILD := $(shell ./src/platform/version/get_build.sh)
 DUNE_DEBUG_ARGS := --build-dir=_build-debug
+
+export BELENIOS_BUILD
 
 minimal:
 	dune build -p belenios-platform,belenios-platform-native,belenios-lib,belenios-tool
@@ -6,8 +9,8 @@
 build-debug-server:
 	BELENIOS_DEBUG=1 dune build $(DUNE_DEBUG_ARGS)
 	BELENIOS_DEBUG=1 dune exec $(DUNE_DEBUG_ARGS) -- \
-	  src/checki18next/checki18next.exe --dir frontend/translations \
-	  < src/checki18next/reference.json
+	  src/scripts/checki18next/checki18next.exe --dir frontend/translations \
+	  < src/scripts/checki18next/reference.json
 	rm -rf _run/usr
 	dune install $(DUNE_DEBUG_ARGS) --destdir=_run --prefix=/usr 2>/dev/null
 	BELENIOS_DEBUG=1 $(MAKE) DESTDIR=../_run/usr/share/belenios-server/frontend -C frontend
@@ -17,8 +20,8 @@
 	$(MAKE) clean
 	BELENIOS_DEBUG= dune build --release
 	BELENIOS_DEBUG= dune exec $(DUNE_DEBUG_ARGS) -- \
-	  src/checki18next/checki18next.exe --dir frontend/translations \
-	  < src/checki18next/reference.json
+	  src/scripts/checki18next/checki18next.exe --dir frontend/translations \
+	  < src/scripts/checki18next/reference.json
 	rm -rf _run/usr
 	dune install --destdir=_run --prefix=/usr 2>/dev/null
 	BELENIOS_DEBUG= $(MAKE) DESTDIR=../_run/usr/share/belenios-server/frontend -C frontend
@@ -26,8 +29,8 @@
 
 build-i18next-reference:
 	BELENIOS_DEBUG=1 dune exec $(DUNE_DEBUG_ARGS) -- \
-	  src/checki18next/checki18next.exe --dir frontend/translations --make-reference \
-	  < frontend/translations/en.json > src/checki18next/reference.json
+	  src/scripts/checki18next/checki18next.exe --dir frontend/translations --make-reference \
+	  < frontend/translations/en.json > src/scripts/checki18next/reference.json
 
 build-debug-tool:
 	BELENIOS_DEBUG=1 dune build $(DUNE_DEBUG_ARGS) -p belenios-platform,belenios-platform-native,belenios-lib,belenios-tool
@@ -43,6 +46,7 @@
 	dune clean $(DUNE_DEBUG_ARGS)
 	$(MAKE) -C po clean
 	$(MAKE) -C tests/tool clean
+	rm -f geckodriver.log
 
 .PHONY: doc
 doc:
