=== debian/changelog ===
belenios (2.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Jan 2023 10:34:38 +0100
