=== debian/control ===
--- 
+++ 
@@ -11,9 +11,11 @@
  libcalendar-ocaml-dev,
  libuuidm-ocaml-dev,
  libcryptokit-ocaml-dev,
- libatdgen-ocaml-dev,
+ libatdgen-ocaml-dev (>= 2.10.0),
  libyojson-ocaml-dev,
  libcmdliner-ocaml-dev (>= 1.1),
+ libhex-ocaml-dev,
+ libbase64-ocaml-dev,
  ocaml-nox,
  markdown,
  texlive-latex-extra,
@@ -21,7 +23,7 @@
  texlive-fonts-extra,
  texlive-science,
  lmodern
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.belenios.org/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
