=== po/Makefile ===
all:
	$(MAKE) -C voter all
	$(MAKE) -C admin all

clean:
	$(MAKE) -C voter clean
	$(MAKE) -C admin clean
