=== po/voter/Makefile ===
--- 
+++ 
@@ -3,7 +3,10 @@
 POFILES=$(addsuffix .po,$(LINGUAS))
 POTFILE=messages.pot
 
-all: $(POFILES)
+all: dune $(POFILES)
+
+dune: LINGUAS
+	../gen-dune.sh voter < $^ > $@
 
 clean:
 	rm -f *.bak
