## belenios 2.2+git10-gbb6b7ea8+dfsg

=== debian/changelog ===
belenios (2.2+git10-gbb6b7ea8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Depend on ocaml instead of transitional ocaml-nox
  * Update debian/watch
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Sep 2023 13:31:33 +0200
