=== debian/control ===
--- 
+++ 
@@ -16,14 +16,16 @@
  libcmdliner-ocaml-dev (>= 1.1),
  libhex-ocaml-dev,
  libbase64-ocaml-dev,
- ocaml-nox,
+ libsodium-dev,
+ jq <!nocheck>,
+ ocaml,
  markdown,
  texlive-latex-extra,
  texlive-fonts-recommended,
  texlive-fonts-extra,
  texlive-science,
  lmodern
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://www.belenios.org/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
