=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) doc
 endif
-	_build/default/src/tool/cmdline/tool_cmdline.exe --help=groff > debian/belenios-tool.1
+	_build/install/default/bin/belenios-tool --help=groff > debian/belenios-tool.1
 
 override_dh_auto_install:
 	dune install --destdir=debian/tmp --prefix=/usr belenios-tool
