=== debian/changelog ===
belenios (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix cleaning (Closes: #1043725)
  * Drop dependency on markdown (Closes: #1073091)
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Jul 2024 05:19:19 +0200
