=== debian/control ===
--- 
+++ 
@@ -19,13 +19,12 @@
  libsodium-dev,
  jq <!nocheck>,
  ocaml,
- markdown,
- texlive-latex-extra,
- texlive-fonts-recommended,
- texlive-fonts-extra,
- texlive-science,
- lmodern
-Standards-Version: 4.6.2
+ texlive-latex-extra <!nodoc>,
+ texlive-fonts-recommended <!nodoc>,
+ texlive-fonts-extra <!nodoc>,
+ texlive-science <!nodoc>,
+ lmodern <!nodoc>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://www.belenios.org/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/belenios
