## belenios 3.0%2Bdfsg

=== tests/tool/Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	./demo-nh.sh
 	./demo-mj.sh
 	./demo-stv.sh
+	./demo-l.sh
 	./demo-n-voters.sh
+	./demo-complex.sh
 
 clean:
 	rm -rf data
