## belenios 3.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,18 @@
 BELENIOS_BUILD := $(shell ./src/platform/version/get_build.sh)
 DUNE_DEBUG_ARGS :=
 BELENIOS_SRC := _run/usr/share/belenios-server/belenios.tar.gz
+DOCUMENTATION := doc/specification.pdf doc/instructions-en.html doc/instructions-fr.html
 
 export BELENIOS_BUILD
 
 minimal:
 	dune build -p belenios-platform,belenios-platform-native,belenios-lib,belenios-tool
 
-MANIFEST:
-	git ls-files > $@
-
-$(BELENIOS_SRC): MANIFEST
-	tar -czf $@ --transform='s,^,belenios/,' --verbatim-files-from --files-from=$<
+$(BELENIOS_SRC):
+	contrib/make-tarball.sh $@
 
 build-debug-server:
+	@echo "Building Belenios server $(BELENIOS_BUILD) in debug mode..."
 	BELENIOS_DEBUG=1 dune build $(DUNE_DEBUG_ARGS)
 	BELENIOS_DEBUG=1 dune exec $(DUNE_DEBUG_ARGS) -- \
 	  src/scripts/checki18next/checki18next.exe --dir frontend/translations \
@@ -25,6 +24,7 @@
 
 build-release-server:
 	$(MAKE) clean
+	@echo "Building Belenios server $(BELENIOS_BUILD) in release mode..."
 	BELENIOS_DEBUG= dune build --release
 	BELENIOS_DEBUG= dune exec $(DUNE_DEBUG_ARGS) -- \
 	  src/scripts/checki18next/checki18next.exe --dir frontend/translations \
@@ -59,18 +59,27 @@
 
 .PHONY: doc
 doc:
-	$(MAKE) doc/specification.pdf
+	$(MAKE) $(DOCUMENTATION)
+
+install-doc: doc
+ifeq ($(DESTDIR),)
+	$(error Please define DESTDIR)
+else
+	cp $(DOCUMENTATION) $(DESTDIR)
+endif
 
 doc/specification.pdf: doc/specification.tex doc/spec_version.tex
-	cd doc && for u in 1 2 3; do pdflatex specification.tex; done
+	cd doc && rubber --pdf specification.tex
+
+%.html: %.md
+	pandoc -o $@ $<
 
 release:
 	@if [ `git status --porcelain | grep -v '^?? ' | wc -l ` -eq 0 ]; then \
-	  COMMIT_ID=`git describe --tags`; \
 	  VERSION=`cat VERSION`; \
 	  mkdir -p _releases; \
-	  if [ "$$(printf $$COMMIT_ID | head -c$$(printf $$VERSION | wc -c))" = "$$VERSION" ]; then \
-	    git archive --prefix=belenios-$$COMMIT_ID/ $$COMMIT_ID | gzip -9n > _releases/belenios-$$COMMIT_ID.tar.gz; \
+	  if [ "$$(printf $(BELENIOS_BUILD) | head -c$$(printf $$VERSION | wc -c))" = "$$VERSION" ]; then \
+	    git archive --prefix=belenios-$(BELENIOS_BUILD)/ $(BELENIOS_BUILD) | gzip -9n > _releases/belenios-$(BELENIOS_BUILD).tar.gz; \
 	  else \
 	    echo "VERSION is not up-to-date!"; exit 1; \
 	  fi; \
