=== debian/changelog ===
belenios (3.0+dfsg-2) unstable; urgency=medium

  * Fix build with atdgen 2.16 (Closes: #1096244)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Feb 2025 10:49:59 +0100

belenios (3.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Nov 2024 13:39:19 +0100
