=== debian/control ===
--- 
+++ 
@@ -16,9 +16,12 @@
  libcmdliner-ocaml-dev (>= 1.1),
  libhex-ocaml-dev,
  libbase64-ocaml-dev,
+ libcohttp-lwt-unix-ocaml-dev,
  libsodium-dev,
  jq <!nocheck>,
  ocaml,
+ pandoc <!nodoc>,
+ rubber <!nodoc>,
  texlive-latex-extra <!nodoc>,
  texlive-fonts-recommended <!nodoc>,
  texlive-fonts-extra <!nodoc>,
