=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@ --with ocaml
+
+execute_after_dh_auto_clean:
+	rm -rf _run
 
 override_dh_auto_build:
 	dune build -p belenios-platform,belenios-platform-native,belenios-lib,belenios-tool
