=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=next" https://www.belenios.org/software.html .*/belenios-(.+)\.tar\.gz
opts="dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=previous" https://www.belenios.org/software.html .*/belenios-(.+)\.tar\.gz\.(?:asc|sig)
